# JavaTestFixturesPlugin

abstract class JavaTestFixturesPlugin : Plugin<T>

Adds support for producing test fixtures. This plugin will automatically create a `testFixtures` source set, and wires the tests to use those test fixtures automatically. Other projects may consume the test fixtures of the current project by declaring a dependency using the testFixtures method. This should really be named `JVMTestFixturesPlugin`, as there is no requirement for the test fixtures to be written in Java, any supported JVM language will work.

#### Since

5.6

#### See also

<a href="https://docs.gradle.org/current/userguide/java_testing.html#sec:java_test_fixtures">Java Test Fixtures reference</a>

## Constructors

JavaTestFixturesPlugin
Link copied to clipboard
@Inject
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)